Bug 238130 - Print output from firefox uses wrong paper size
Print output from firefox uses wrong paper size
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 08:39 EDT by Steve Whitehouse
Modified: 2008-01-22 14:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:40:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lpoptions (283 bytes, text/plain)
2007-08-02 08:56 EDT, Steve Whitehouse
no flags Details
lpoptions -l (2.38 KB, text/plain)
2007-08-02 08:57 EDT, Steve Whitehouse
no flags Details
unsuccesful attempt to reproduce bug (125.83 KB, application/postscript)
2007-08-15 09:13 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Steve Whitehouse 2007-04-27 08:39:30 EDT
Description of problem:

Firefox produces output on letter sized paper, even if I select A4 in the paper
size dialog.

Version-Release number of selected component (if applicable):

1.5.0.10

How reproducible:
Every time.


Steps to Reproduce:
1. Print from firefox, with paper size set to A4
  
Actual results:
Printer sits there flashing "please give me some letter sized paper!" until I
force it to use the A4 it has already been loaded with (which requires walking
across the office and pressing buttons on the printer itself).

Expected results:
The print should use the paper size as set in the firefox print dialog.
Comment 1 Matěj Cepl 2007-04-27 11:34:30 EDT
Can we get output of these two commands, please?
lpoptions -l
(or lpoptions -h server -l 
if you use remote CUPS server)

and 
lpoptions
(or alternatively lpoptions -h server)?

Thank you -- I cannot reproduce it here, so it may be problem with you print
configuration.
Comment 2 Matěj Cepl 2007-08-02 08:51:25 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 3 Steve Whitehouse 2007-08-02 08:56:21 EDT
Created attachment 160517 [details]
lpoptions
Comment 4 Steve Whitehouse 2007-08-02 08:57:41 EDT
Created attachment 160518 [details]
lpoptions -l

Sorry I think I missed your initial reply - I get a lot of bugzilla messages
each day :-)

Anyway here is the info, let me know if you need anything else.
Comment 5 Christopher Aillon 2007-08-07 12:54:06 EDT
Matej, think you can reproduce this with the information provided?  I wonder if
this is an issue in 2.x
Comment 6 Matěj Cepl 2007-08-15 09:13:37 EDT
Created attachment 161352 [details]
unsuccesful attempt to reproduce bug

Well, it goes both to the both sides -- firefox 2.0 (firefox-2.0.0.5-1.fc7 to
be exact) certainly does something wrong. I have locale cs_CZ (including
LC_PAPER=cs_CZ.UTF-8) and still firefox defaults to Letter paper. That's wrong
(but it might be bug in CUPS, who knows?). However, lptoptions -l|grep
'PageSize/Page Size:' shows A4 as default. Finally, this issue is bug 133658
which I have just closed as UPSTREAM.

However, to our bug -- when I set manually paper size in Firefox print dialog
to A4 I get attached Postscript file (when printing to file and using my remote
CUPS printer as a target) so 'grep Paper test.ps' gives me
'%%DocumentPaperSizes: A4'

Conclusion -- cannot reproduce THIS bug.
Comment 7 Matěj Cepl 2007-12-10 04:24:51 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 8 Matěj Cepl 2008-01-15 09:40:17 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}
Comment 9 Christopher Aillon 2008-01-22 14:00:46 EST
Also it's worth noting that the rawhide (and thus F9) version will have this
fixed as it is using the GTK+ print API now.

Note You need to log in before you can comment on or make changes to this bug.